program Sparse_MxV_mult
use sep
use dottest 
use sparse_matmult 

implicit none
real, dimension (:),     allocatable :: x,y
real, dimension (:,:),       pointer :: H
real, dimension (2)                  :: dot1,dot2
integer                              :: stat
logical                              :: adj,add

!call sep_init(SOURCE)

allocate(x(2),y(2),H(3,3))
H(1,1)=1; H(1,2)=1; H(1,3)=1
H(2,1)=2; H(2,2)=2; H(2,3)=2
H(3,1)=2; H(3,2)=1; H(3,3)=5
 
x(1)=2
x(2)=3

call smatmult_init (H)
call dot_test(smatmult_lop,2,2,dot1,dot2)

adj=.false.
add=.false.
stat = smatmult_lop(adj, add, x, y)

write(0,*)'y',y

deallocate(x,y,H)
end program Sparse_MxV_mult
